Package org.eclipse.lemminx.extensions.xerces

## Class LSPSchemaParsingConfig

- java.lang.Object
- - org.apache.xerces.util.ParserConfigurationSettings
  - - org.apache.xerces.parsers.BasicParserConfiguration
    - - org.apache.xerces.impl.xs.opti.SchemaParsingConfig
      - - org.eclipse.lemminx.extensions.xerces.LSPSchemaParsingConfig

All Implemented Interfaces:
  `org.apache.xerces.xni.parser.XMLComponentManager`, `org.apache.xerces.xni.parser.XMLParserConfiguration`, `org.apache.xerces.xni.parser.XMLPullParserConfiguration`

    public class LSPSchemaParsingConfig
    extends org.apache.xerces.impl.xs.opti.SchemaParsingConfig

The Xerces `SchemaParsingConfig` doesn't give the capability to customize the XML entity manager.

This class extends `SchemaParsingConfig` and customizes the XML entity manager with the `LSPXMLEntityManager` which handles the remote resource download errors.

Author:
  Angelo ZERR

### Field Summary

### Fields inherited from class org.apache.xerces.impl.xs.opti.SchemaParsingConfig

`ALLOW_JAVA_ENCODINGS, CONTINUE_AFTER_FATAL_ERROR, DATATYPE_VALIDATOR_FACTORY, DOCUMENT_SCANNER, DTD_SCANNER, DTD_VALIDATOR, ENTITY_MANAGER, ERROR_REPORTER, fConfigUpdated, fCurrentDTDScanner, fCurrentDVFactory, fCurrentScanner, fDatatypeValidatorFactory, fDTDScanner, fEntityManager, fErrorReporter, fGrammarPool, fInputSource, fLocator, fNamespaceScanner, fParseInProgress, fValidationManager, fVersionDetector, fXML11DatatypeFactory, fXML11DTDScanner, fXML11NSDocScanner, GENERATE_SYNTHETIC_ANNOTATIONS, LOAD_EXTERNAL_DTD, LOCALE, NAMESPACE_BINDER, NORMALIZE_DATA, NOTIFY_BUILTIN_REFS, NOTIFY_CHAR_REFS, SCHEMA_ELEMENT_DEFAULT, SCHEMA_VALIDATOR, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF, WARN_ON_UNDECLARED_ELEMDEF, XML11_DATATYPE_VALIDATOR_FACTORY, XMLGRAMMAR_POOL`

### Fields inherited from class org.apache.xerces.parsers.BasicParserConfiguration

`ENTITY_RESOLVER, ERROR_HANDLER, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, fComponents, fDocumentHandler, fDTDContentModelHandler, fDTDHandler, fLastComponent, fLocale, fSymbolTable, NAMESPACES, SYMBOL_TABLE, VALIDATION, XML_STRING`

### Fields inherited from class org.apache.xerces.util.ParserConfigurationSettings

`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties, PARSER_SETTINGS`

### Constructor Summary

Constructors
`LSPSchemaParsingConfig​(org.apache.xerces.impl.XMLEntityManager entityManager)`

### Method Summary

### Methods inherited from class org.apache.xerces.impl.xs.opti.SchemaParsingConfig

`checkFeature, checkProperty, cleanup, configurePipeline, configureXML11Pipeline, getFeature, getProperty, parse, parse, reset, resetNodePool, resetXML10, resetXML11, setFeature, setInputSource, setLocale, setProperty`

### Methods inherited from class org.apache.xerces.parsers.BasicParserConfiguration

`addComponent, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getLocale, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler`

### Methods inherited from class org.apache.xerces.util.ParserConfigurationSettings

`addRecognizedFeatures, addRecognizedProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.xerces.xni.parser.XMLParserConfiguration

`addRecognizedFeatures, addRecognizedProperties, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getLocale, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler`

### Constructor Detail

#### LSPSchemaParsingConfig

    public LSPSchemaParsingConfig​(org.apache.xerces.impl.XMLEntityManager entityManager)